<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ship.appversion.mapper.AppVersionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="appVersionResultMap" type="org.springblade.ship.appversion.entity.AppVersion">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="version_name" property="versionName"/>
        <result column="version_no" property="versionNo"/>
        <result column="update_content" property="updateContent"/>
        <result column="is_force_update" property="isForceUpdate"/>
        <result column="download_url" property="downloadUrl"/>
    </resultMap>


    <select id="selectAppVersionPage" resultMap="appVersionResultMap">
        select * from sc_app_version where is_deleted = 0
    </select>

</mapper>
